Apache log4cxx: SimpleLayout Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SimpleLayout Class Reference

Inherits Layout.

List of all members.

## Detailed Description

SimpleLayout consists of the level of the log statement, followed by " - " and then the log message itself.

For example,

                    DEBUG - Hello world

PatternLayout offers a much more powerful alternative.

## Public Member Functions
virtual void | format (LogString &output, const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool) const
| Returns the log statement in a format consisting of the `level`, followed by " - " and then the `message`.
bool | ignoresThrowable () const
| The SimpleLayout does not handle the throwable contained within LoggingEvents.
virtual void | activateOptions (log4cxx::helpers::Pool &)
| Activate the options that were previously set with calls to option setters.
virtual void | setOption (const LogString &, const LogString &)
| Set `option` to `value`.

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & |  | ) | `[inline, virtual]`

| Activate the options that were previously set with calls to option setters. This allows to defer activiation of the options until all options have been set. This is required for components which have related options that remain ambigous until all are set. For example, the FileAppender has the File and Append options both of which are ambigous until the other is also set. Implements OptionHandler.

virtual void format | ( | LogString & | output,
|  | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | pool
| ) | const`[virtual]`

| Returns the log statement in a format consisting of the `level`, followed by " - " and then the `message`. For example,
     INFO - "A message"
Returns: A byte array in SimpleLayout format. Implements Layout.

bool ignoresThrowable | ( |  | ) | const`[inline, virtual]`

| The SimpleLayout does not handle the throwable contained within LoggingEvents. Thus, it returns `true`. Implements Layout.

virtual void setOption | ( | const LogString & | ,
|  | const LogString & |
| ) | `[inline, virtual]`

| Set `option` to `value`. The handling of each option depends on the OptionHandler instance. Some options may become active immediately whereas other may be activated only when activateOptions is called. Implements OptionHandler.

The documentation for this class was generated from the following file:

- simplelayout.h